## ap51-flash 2019.0.1

=== Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2009-2019, Marek Lindner <mareklindner@neomailbox.ch>

# enable debug output
# CPPFLAGS += -DDEBUG
# clear screen after each subsequent flash
# CPPFLAGS += -DCLEAR_SCREEN

# define $EMBED_IMG=/path/to/image to have your image included
# into the binary where $EMBED_IMG is one of the following:
# * EMBED_CI
# * EMBED_CE
# * EMBED_UBNT
# * EMBED_UBOOT
# * EMBED_ZYXEL

BINARY_NAME = ap51-flash
OBJ += commandline.o
OBJ += flash.o
OBJ += fwcfg.o
OBJ += proto.o
OBJ += router_images.o
OBJ += router_redboot.o
OBJ += router_tftp_client.o
OBJ += router_tftp_server.o
OBJ += router_netconsole.o
OBJ += router_types.o
OBJ += socket.o
AP51_RC = ap51-flash-res

BINARY_TARGET_NAMES += $(BINARY_NAME)
BINARY_TARGET_NAMES += $(BINARY_NAME).exe
BINARY_TARGET_NAMES += $(BINARY_NAME)-osx

# ap51-flash flags and options
CFLAGS += -Wall -W -std=gnu99 -fno-strict-aliasing $(EXTRA_CFLAGS) -MD -MP
CPPFLAGS += -D_GNU_SOURCE
LDLIBS +=

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
  Q_CC = @echo '   ' CC $@;
  Q_LD = @echo '   ' LD $@;
  Q_SILENT = @
  export Q_CC
  export Q_LD
  export Q_SILENT
endif
endif

CC      = $(CROSS)gcc
RM     ?= rm -f
STRIP   = $(CROSS)strip
OBJCOPY = $(CROSS)objcopy
WINDRES = $(CROSS)windres
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

ifeq ($(MAKECMDGOALS),)
  PLATFORM = LINUX
else ifeq ($(MAKECMDGOALS),$(BINARY_NAME))
  PLATFORM = LINUX
else ifeq ($(MAKECMDGOALS),$(BINARY_NAME).exe)
  PLATFORM = WIN32
else ifeq ($(MAKECMDGOALS),$(BINARY_NAME)-osx)
  PLATFORM = OSX
endif

ifneq ($(PLATFORM),)
CPPFLAGS += -D$(PLATFORM)
endif

ifeq ($(PLATFORM),LINUX)
  BINARY_SUFFIX =
else ifeq ($(PLATFORM),WIN32)
  BINARY_SUFFIX = .exe
  CPPFLAGS += -D_CONSOLE -D_MBCS -D__USE_MINGW_ANSI_STDIO=1

  ifeq ($(origin PKG_CONFIG), undefined)
    PKG_CONFIG = $(CROSS)pkg-config
    ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
      $(error $(PKG_CONFIG) not found)
    endif
  endif

  ifeq ($(origin WINPCAP_CFLAGS) $(origin WINPCAP_LDLIBS), undefined undefined)
    WINPCAP_NAME ?= winpcap
    ifeq ($(shell $(PKG_CONFIG) --modversion $(WINPCAP_NAME) 2>/dev/null),)
      $(error No $(WINPCAP_NAME) development libraries found!)
    endif
    WINPCAP_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(WINPCAP_NAME))
    WINPCAP_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(WINPCAP_NAME))
  endif
  CFLAGS += $(WINPCAP_CFLAGS)
  LDLIBS += $(WINPCAP_LDLIBS)
else ifeq ($(PLATFORM),OSX)
  BINARY_SUFFIX = -osx
  LDLIBS += -lpcap
endif

EMBEDDED_IMAGES += $(EMBED_CI)
EMBEDDED_IMAGES += $(EMBED_CE)
EMBEDDED_IMAGES += $(EMBED_UBNT)
EMBEDDED_IMAGES += $(EMBED_UBOOT)
EMBEDDED_IMAGES += $(EMBED_ZYXEL)

Makefile: embed_image.mk
include embed_image.mk

$(eval $(call embed_image,CI,ci))
$(eval $(call embed_image,CE,ce))
$(eval $(call embed_image,UBNT,ubnt))
$(eval $(call embed_image,UBOOT,uboot))
$(eval $(call embed_image,ZYXEL,zyxel))

# try to generate revision
REVISION= $(shell \
  if [ -d .git ]; then \
    echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
  fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

all: $(BINARY_NAME)$(BINARY_SUFFIX)

$(BINARY_TARGET_NAMES): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@
	$(STRIP) $@

$(OBJ): Makefile

$(AP51_RC).o: $(AP51_RC)
	$(Q_CC)$(WINDRES) -i $(AP51_RC) -I. -o $@

clean:
	$(RM) *.o *.d *~ $(BINARY_TARGET_NAMES) $(AP51_RC)

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean
.DELETE_ON_ERROR:
.DEFAULT_GOAL := all

=== docs/Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2017-2019, Sven Eckelmann <sven@narfation.org>

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

=== docs/flash-station/Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2013, Linus Lüssing <linus.luessing@c0d3.blue>

include $(TOPDIR)/rules.mk

PKG_NAME:=ap51-flash
PKG_REV:=93
PKG_VERSION:=r$(PKG_REV)
PKG_RELEASE:=1

PKG_SOURCE_PROTO:=svn
PKG_SOURCE_VERSION:=$(PKG_REV)
PKG_SOURCE_SUBDIR:=ap51-flash-$(PKG_VERSION)
PKG_SOURCE_URL:=http://dev.open-mesh.com/downloads/svn/ap51-flash/trunk
PKG_SOURCE:=$(PKG_SOURCE_SUBDIR).tar.gz

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)

include $(INCLUDE_DIR)/package.mk

define Package/ap51-flash
  SECTION:=utils
  CATEGORY:=Utilities
  DEPENDS:=+libpcap
  TITLE:=A tool for flashing (nearly) all ap51/ap61 based routers
  URL:=http://dev.open-mesh.com
endef

define Package/ap51-flash/install
	$(INSTALL_DIR) $(1)/etc/config $(1)/etc/init.d $(1)/usr/sbin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/ap51-flash $(1)/usr/sbin/
	$(INSTALL_BIN) ./files/ap51-flash.init $(1)/etc/init.d/ap51-flash
	$(INSTALL_DATA) ./files/ap51-flash.conf $(1)/etc/config/ap51-flash
endef
#	install -m0755 -d $(1)/usr/sbin
#	install -m0755 $(PKG_BUILD_DIR)/ap51-flash $(1)/usr/sbin/
#	install -m0755 $(PKG_BUILD_DIR)/src/ifplugd $(1)/usr/sbin/

$(eval $(call BuildPackage,ap51-flash))

=== debian/changelog ===
ap51-flash (2019.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/copyright
    - Update copyright years to 2020
  * debian/control:
    - Upgraded to policy 4.5.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 03 Feb 2020 08:37:32 +0100

ap51-flash (2019.0.1-1) experimental; urgency=low

  * Initial release (Closes: #938978).

 -- Sven Eckelmann <sven@narfation.org>  Fri, 04 Oct 2019 10:58:28 +0200

=== debian/control ===
Source: ap51-flash
Section: net
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ap51-flash/ap51-flash
Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/communitywlan-team/ap51-flash
Build-Depends:
 debhelper-compat (= 12),

Package: ap51-flash
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: firmware flasher for ethernet connected routers and access points
 ap51-flash is a tool to simplify the automatic firmware deployment for a
 multitude of home routers and wireless access points.
 .
 ap51-flash can identify target device(s), select the correct firmware image
 and perform the required communication to carry out the installation
 procedure. It works without the need for a local TFTP server or manual, target
 device specific network configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -flto

MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" STRIP=true

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_build override_dh_installchangelogs

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/ap51-flash/ap51-flash/releases .*/ap51-flash@ANY_VERSION@@ARCHIVE_EXT@

## ap51-flash 2022.0

=== debian/changelog ===
ap51-flash (2022.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.0, no changes required
    - Switch to correct DEP-14 unstable branch name
  * debian/patches:
    - update list of supported devices

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Mar 2022 13:52:26 +0100

ap51-flash (2019.0.1-3) unstable; urgency=medium

  * Drop duplicated fields from upstream/metadata
  * debian/control:
    - Switch to debhelper compat 13
    - Switch maintainer to Debian CommunityWLAN Team

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 11:59:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: ap51-flash
 Section: net
 Priority: optional
-Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 4.5.0
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Uploaders:
+ Sven Eckelmann <sven@narfation.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ap51-flash/ap51-flash
-Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/ap51-flash
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 
 Package: ap51-flash
 Architecture: linux-any

## ap51-flash 2022.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
-# SPDX-FileCopyrightText: 2009-2019, Marek Lindner <mareklindner@neomailbox.ch>
+# SPDX-FileCopyrightText: Marek Lindner <mareklindner@neomailbox.ch>
 
 # enable debug output
 # CPPFLAGS += -DDEBUG

=== debian/changelog ===
ap51-flash (2022.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required
  * debian/copyright:
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:10:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ap51-flash/ap51-flash
 Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/unstable

## ap51-flash 2025.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
-# SPDX-FileCopyrightText: Marek Lindner <mareklindner@neomailbox.ch>
+# SPDX-FileCopyrightText: Marek Lindner <marek.lindner@mailbox.org>
 
 # enable debug output
 # CPPFLAGS += -DDEBUG

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
-# SPDX-FileCopyrightText: 2017-2019, Sven Eckelmann <sven@narfation.org>
+# SPDX-FileCopyrightText: Sven Eckelmann <sven@narfation.org>
 
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build

=== debian/changelog ===
ap51-flash (2025.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
  * debian/watch:
    - Switch to api.github.com to check for releases
  * debian/upstream/signing-key.asc:
    - Refresh subkeys key for 522D7163831C73A635D12FE5EC371482956781AF
  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 21:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ap51-flash/ap51-flash
 Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/unstable

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -flto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" STRIP=true

=== debian/watch ===
version=4

opts="searchmode=plain,pgpsigurlmangle=s%$%.asc%" \
    https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases?per_page=100 \
    https://github.com/@PACKAGE@/@PACKAGE@/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
